gSOAP UDDI v2: uddi2__get_USCOREbindingDetail Class Reference

Main Page | Class List | File List | Class Members | File Members | Related Pages

# uddi2__get_USCOREbindingDetail Class Reference

Schema urn:uddi-org:api_v2:"get_bindingDetail". More...

`#include <uddi_v2.h>`

List of all members.

## Public Member Functions
| uddi2__get_USCOREbindingDetail (struct soap *)
| Member declared in uddi2-typemap.dat.
| uddi2__get_USCOREbindingDetail (struct soap *, const char *bindingKey)
| Member declared in uddi2-typemap.dat.
| uddi2__get_USCOREbindingDetail (struct soap *, std::vector< char * > bindingKeys)
| Member declared in uddi2-typemap.dat.
uddi2__bindingDetail * | send (const char *endpoint)
| Member declared in uddi2-typemap.dat.
## Public Attributes
std::vector< uddi2__bindingKey > | bindingKey
| Vector of uddi2__bindingKey with length 0..unbounded.
char * | generic
| Attribute generic of type xs:string.
soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"get_bindingDetail".

Represents a request to get binding details from a UDDI server.

See http://uddi.org/pubs/ProgrammersAPI_v2.htm#_Toc25137717

## Constructor & Destructor Documentation

uddi2__get_USCOREbindingDetail::uddi2__get_USCOREbindingDetail | ( | struct soap * | soap | ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
Creates an instance of the get_USCOREbindingDetail class.

uddi2__get_USCOREbindingDetail::uddi2__get_USCOREbindingDetail | ( | struct soap * | soap,
|  | const char * | bindingKey
| ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
  `[in]` | bindingKey | string
Creates an instance of the get_USCOREbindingDetail class using the specified binding key.

uddi2__get_USCOREbindingDetail::uddi2__get_USCOREbindingDetail | ( | struct soap * | soap,
|  | std::vector< char * > | bindingKeys
| ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
  `[in]` | bindingKeys | collection of key strings
Creates an instance of the get_USCOREbindingDetail class using the specified collection of binding keys.

## Member Function Documentation

uddi2__bindingDetail * uddi2__get_USCOREbindingDetail::send | ( | const char * | endpoint | ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | endpoint | URL of the UDDI server
Returns: A pointer to a uddi2__bindingDetail object or NULL on error Send a request to a UDDI server to get the binding details.

## Member Data Documentation

std::vector<uddi2__bindingKey > uddi2__get_USCOREbindingDetail::bindingKey

| Vector of uddi2__bindingKey with length 0..unbounded.

char* uddi2__get_USCOREbindingDetail::generic

| Attribute generic of type xs:string. Required attribute

struct soap* uddi2__get_USCOREbindingDetail::soap

| A handle to the soap struct context that manages this class instance.

The documentation for this class was generated from the following file:

- /Users/engelen/Projects/gsoap/doc/uddi2/uddi_v2.h